MYTHTRANSCODE(1)

NAME
mythtranscode - MythTV Transcoder

DESCRIPTION
mythtranscode version: fixes/36 [v36.0+fixes.20260401.1385cbfc60-0ubuntu1] www.mythtv.org Misc. Options:

--chanid
    Specify chanid of recording to operate on.

-i, --infile
    Input video for transcoding.

-o, --outfile
    Optional output file for transcoding.

-O, --override-setting
    Override a single setting defined by a key=value pair.

--override-settings-file
    Define a file of key=value pairs to be loaded for setting overrides.

--queue
    Add a new transcoding job of the specified recording and profile to the jobqueue. Accepts an optional string to define the hostname.

-b, --buildindex
    Build new keyframe index.

-h, --help, --usage
    Display this help printout, or give detailed information of selected option.

--version
    Display version information.

--starttime
    Specify start time of recording to operate on.

--video
    Specifies video is not a recording.

Encoding Options:

--allaudiotracks
    Keep all audio tracks including those marked with 0 channels.

--allkeys, -k
    Specifies the outputfile should be entirely keyframes.

--audiotrack
    Select specific audio track.

--avf
    Generate libavformat output file.

--audiobitrate
    Output Audio Bitrate (Kbits)

--bitrate
    Output Video Bitrate (Kbits)

--height
    Output Video Height

--width
    Output Video Width

-d, --delete
    Delete original after successful transcoding

--hls
    Generate HTTP Live Stream output.

--audiobitrate
    Output Audio Bitrate (Kbits)

--bitrate
    Output Video Bitrate (Kbits)

--height
    Output Video Height

--hlsstreamid
    Stream ID to process

--maxsegments
    Max HTTP Live Stream segments

--noaudioonly
    Disable Audio-Only HLS Stream

--width
    Output Video Width

-m, --mpeg2
    Specifies that a lossless transcode should be used.

-e, --ostream
    Output stream type: ps, dvd, ts (Default: ps)

--passthrough
    Pass through raw, unprocessed audio.

-p, --profile
    Transcoding profile.

-ro, --recorderOptions
    Comma separated list of recordingprofile overrides.

Frame Server Options:

--cleancut
    Improve quality of cutting by performing it partially by dropping data. Works only in fifodir mode.

-f, --fifodir
    Directory in which to write fifos to.

--fifoinfo
    Run in fifodir mode, but stop after displaying the fifo data format.

--fifosync
    Enforce fifo sync.

Logging Options:

--loglevel
    Set the logging level. All log messages at lower levels will be discarded. In descending order: emerg, alert, crit, err, warning, notice, info, debug, trace defaults to info

--loglong
    Use long log format for the console, i.e. show file, line number, etc. in the console log.

--logpath
    Writes logging messages to a file in the directory logpath with filenames in the format: applicationName.date.pid.log. This is typically used in combination with --daemon, and if used in combination with --pidfile, this can be used with log rotators, using the HUP call to inform MythTV to reload the file

-q, --quiet
    Don't log to the console (-q). Don't log anywhere (-q -q)

--showprogress
    Display status info in stdout

--syslog
    Set the syslog logging facility. Set to "none" to disable, defaults to none.

--systemd-journal
    Use systemd-journal instead of syslog.

-v, --verbose
    Specify log filtering. Use '-v help' for level info.

Cutlist Options:

--inversecut
    Inverses the cutlist, leaving only the marked off sections.

--honorcutlist
    Specifies whether to use the cutlist. (Takes an optional cutlist as argument when used with -i)